.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vim.fault.InvalidDeviceSpec: ../../vim/fault/InvalidDeviceSpec.rst


vim.fault.DeviceUnsupportedForVmVersion
=======================================
    :extends:

        `vim.fault.InvalidDeviceSpec`_

  A DeviceUnsupportedForVmVersion exception is thrown if a specific device is not supported for a given version of the virtual machine.

Attributes:

    currentVersion (`str`_)

    expectedVersion (`str`_)




